Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate

From: Peter R <[email-masked]>
Date: Mon, 5 Oct 2015 20:20:33 -0700

> On Oct 5, 2015, at 6:37 PM, Tom Harding via bitcoin-dev <[email-masked]> wrote:
> 
> On 10/5/2015 1:56 PM, Gregory Maxwell via bitcoin-dev wrote:
>> In this case, I don't even believe we have any regulator contributors
>> that disagree.
> 
> Since Gavin Andresen chose you to be one of 4 people who decides whose
> contributions are accepted to the Core project, shouldn't you recuse
> yourself from referencing "regular contributor" as some kind of bar to
> an opinion being worthy?
> 
> You don't want to be accused of squelching a person's opinions by
> nacking or sitting on commits, then turning around and branding those
> opinions as worthless because they are not from a "regular contributor."
> Do you?

Great point, Tom! 

In fact, you’ve just explained the dynamics that create “centralizing pressure” in regards to development:  If the weight of a person’s opinion is proportional to how many commits that person has made, and if the probability of getting a commit pulled is proportional to the weight of that person’s opinion, well…I’m pretty sure this results in a differential equation that has a solution that results in ever-increasing centralized control of the code base.  

I believe we should work to deprecate the idea that Core is somehow the “core of Bitcoin," in favour of multiple competing implementations. XT and btcd are two working examples of this idea.  Let’s make it easier for the community to determine the evolution of Bitcoin by making it easier for the community to express their vote based on the code we choose to run.  

Best regards,
Peter